OGRE-Next: Ogre::DefaultSceneFormatListener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::DefaultSceneFormatListener Class Reference
Core | Component » Scene

Default implementation that prevents a SceneNode from being exported if the only attached objects. More...

`#include <OgreSceneFormatBase.h>`

Inheritance diagram for Ogre::DefaultSceneFormatListener:
[legend]

## Public Member Functions
| DefaultSceneFormatListener ()
bool | exportItem (const Item *item) override
bool | exportSceneNode (const SceneNode *sceneNode) override
void | setSceneFlags (uint32 sceneFlags, SceneFormatBase *parent) override
Public Member Functions inherited from Ogre::SceneFormatListener
virtual bool | exportDecal (const Decal *decal)
virtual bool | exportEntity (const v1::Entity *entity)
virtual bool | exportLight (const Light *light)
virtual bool | exportMesh (const Mesh *mesh)
virtual bool | exportMesh (const v1::Mesh *mesh)
Public Member Functions inherited from Ogre::HlmsJsonListener
virtual void | savingChangeTextureName (String &inOutAliasName, String &inOutTexName)
| Gives you a chance to completely change the name of the texture when saving a material.
Public Member Functions inherited from Ogre::HlmsTextureExportListener
virtual void | savingChangeTextureNameOitd (String &inOutFilename, TextureGpu *texture)
virtual void | savingChangeTextureNameOriginal (const String &aliasName, String &inOutResourceName, String &inOutFilename)
| Gives you a chance to completely change the name of the texture when saving a material.

## Detailed Description

Default implementation that prevents a SceneNode from being exported if the only attached objects.

## Constructor & Destructor Documentation

## ◆ DefaultSceneFormatListener()

Ogre::DefaultSceneFormatListener::DefaultSceneFormatListener | ( |  | ) |

## Member Function Documentation

## ◆ exportItem()

bool Ogre::DefaultSceneFormatListener::exportItem | ( | const Item * | item | ) |
| overridevirtual

Reimplemented from Ogre::SceneFormatListener.

## ◆ exportSceneNode()

bool Ogre::DefaultSceneFormatListener::exportSceneNode | ( | const SceneNode * | sceneNode | ) |
| overridevirtual

Reimplemented from Ogre::SceneFormatListener.

## ◆ setSceneFlags()

void Ogre::DefaultSceneFormatListener::setSceneFlags | ( | uint32 | sceneFlags,
|  | SceneFormatBase * | parent )
| overridevirtual

Reimplemented from Ogre::SceneFormatListener.

The documentation for this class was generated from the following file:

- OgreSceneFormatBase.h